import * as defs from "./FormDefinition";
/**
 * Ensures the supplied string can be rendered literally in markdown by
 * escaping any characters that have special meaning in
 * markdown syntax.
 *
 * This method assumes that we are using a markdown parser that complies
 * with the commonmark specification. (http://commonmark.org/)
 * As such, the only escaping performed is that which is necessary for
 * the features suppored by commonmark.
 *
 * You can test commonmark behaviour here: http://spec.commonmark.org/dingus/
 *
 * @param literalString A string to be treated literally in markdown.
 */
export declare function escapeTextForMarkdown(literalString: string): string;
export declare function isMarkdown(text: Partial<defs.MarkdownRef> & defs.Text): text is defs.MarkdownRef;
export declare function isStatus(text: Partial<defs.StatusRef> & defs.Text): text is defs.StatusRef;
export declare function textToHtml(text: string): string;
export declare function markdownToHtml(markdown: string, htmlContentCategory?: defs.HTMLContentCategory): string;
export declare function markdownToText(markdown: string): string;
